review integration test coverage vis a vis new tiered interfaces

2011-05-31 17:41 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Nicholas Dexter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.22-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-31 17:42 - Rob Nahf

- Position deleted (1)

- Position set to 1

- Subject changed from review integration test coverage vis a vis new tiered methods to review integration test coverage vis a vis new tiered interfaces

#2 - 2011-05-31 17:47 - Rob Nahf

- Assignee set to Nicholas Dexter

New methods were introduced with the new tiered interfaces.  We need to review vs. what we already have in d1_integration.  The primary java test

cases are org.dataone.integration.CNodeIT and ...MNodeIT.

Data ReplicationIT and Synchronization IT are not up and running at the moment.  (probably should be at this point). 

#3 - 2011-05-31 19:34 - Rob Nahf

- Position deleted (2)

- Position set to 27

#4 - 2011-06-06 16:32 - Nicholas Dexter

- Status changed from New to In Progress

#5 - 2011-06-06 22:50 - Nicholas Dexter

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

CNCore:

getFormat: Identifier is now ObjectFormatIdentifier

getLogRecords: DNE

listNodes: no longer requires AuthToken parameter

registerSystemMetadata: DNE 

CNRead:

get: now requires Session parameter instead of AuthToken

getSystemMetadata: now requires Session parameter instead of AuthToken

resolve: now requires Session parameter instead of AuthToken

reserveIdentifier: now requires (Session, Identifier, string, string)

assertRelation: now requires Session parameter instead of AuthToken
getChecksum: DNE

search: now requires Session parameter instead of AuthToken, and additional QueryType parameter

CNAuthorization:

setOwner: now requires Session parameter instead of AuthToken

isAuthorized: now requires Session parameter instead of AuthToken

setAccess: old method using 4x string is now replaced with using (Session, Identifier, AccessPolicy)

setAccessPolicy: DNE

CNIdentity:

registerAccount: DNE

updateAccount: DNE

verifyAccount: DNE

mapIdentity: unimplemented stub that now require Session paramter instead of AuthToken

confirmMapIdentity: DNE

createGroup: unimplemented stubs that now require Session paramter instead of AuthToken, return boolean type

addGroupMembers: DNE

CNReplication:

setReplicationStatus: DNE

updateReplicationMetadata: DNE

setReplicationPolicy

CNRegister:

updateNodeCapabilities: DNE

register: now requires Session parameter instead of AuthToken

#6 - 2011-06-07 17:19 - Nicholas Dexter

MNCore:

ping: DNE

getLogRecords: now requires Session parameter instead of AuthToken, missing start integer and count integer

getObjectStatistics: DNE

getOperationStatistics: DNE

getStatus: DNE

getCapabilities: DNE

MNRead: 

get: now requires Session parameter instead of AuthToken

getSystemMetadata: now requires Session parameter instead of AuthToken
describe: now requires Session parameter instead of AuthToken

getChecksum: now requires Session parameter instead of AuthToken

synchronizationFailed: DNE

MNAuthorization

isAuthorized: DNE

setAccess: now requires Session parameter instead of AuthToken, 4*strings now replaced by AccessPolicy, now returns boolean instead of void

MNStorage:

create: now requires Session parameter instead of AuthToken

update: now requires Session parameter instead of AuthToken

delete: now requires Session parameter instead of AuthToken

MNReplication:

replicate: DNE
